Package Details: netease-musicbox-git r592.d09e2f0-1

Git Clone URL: https://aur.archlinux.org/netease-musicbox-git.git (read-only)
Package Base: netease-musicbox-git
Description: A sexy command line interface musicbox for NetEase based on Python
Upstream URL: https://github.com/darknessomi/musicbox
Keywords: music netease
Licenses: MIT
Conflicts: netease-musicbox
Provides: netease-musicbox
Submitter: farseerfc
Maintainer: farseerfc (lilac, axionl)
Last Packager: lilac
Votes: 17
Popularity: 0.023189
First Submitted: 2016-01-12 14:14
Last Updated: 2019-09-01 20:58

Dependencies (12)

Required by (0)

Sources (3)

Pinned Comments

farseerfc commented on 2017-07-05 06:06

@emlcj and to all: this package is now built as split packages for both python2 and python3 version. python2 version has more optdepends and therefore more additional features, while python3 version do not depend on python2 (obviously). Please instruct your aurhelper or makepkg to just install one version, not both, as they will conflict with each other.

Latest Comments

1 2 Next › Last »

Dipper_Roy commented on 2018-11-21 02:28

i found the missing dependencies in api.py which name is "import requests_cache". maybe we should add the python-requests-cache in the dependencies or update the patch file ? and the dependencies package could find in AUR. Have a nice day!

xiayyu commented on 2017-10-11 13:15

python-lxml might need to add to the deps list as I caught such a interrupt: bs4.FeatureNotFound: Couldn't find a tree builder with the features you requested: lxml.

farseerfc commented on 2017-09-04 03:49

@Jisxu 因爲 py2 版本能提供一些額外的功能,所以還留着。建議不要用 yaourt ,它有個 bug 不能安裝一個 pkgbase 裏的單獨一個 split pkg 。我已經在置頂的評論裏寫明了。

Jisxu commented on 2017-09-02 20:58

建议删除py2版本的构建,py3和py2版本互相冲突

farseerfc commented on 2017-07-05 06:06

@emlcj and to all: this package is now built as split packages for both python2 and python3 version. python2 version has more optdepends and therefore more additional features, while python3 version do not depend on python2 (obviously). Please instruct your aurhelper or makepkg to just install one version, not both, as they will conflict with each other.

emlcj commented on 2017-07-04 08:48

get error as "netease-musicbox-git and netease-musicbox-py2-git are in conflict"

farseerfc commented on 2017-04-11 12:15

@petronny 之前換到過 py3 ,但是全局快捷鍵的功能只有 py2 有的樣子

petronny commented on 2017-04-11 09:50

话说这个包貌似支持python3啊,更换一下?

farseerfc commented on 2017-02-21 18:21

@legendt @Sherlock-Holo 謝謝!已經添加相關可選依賴~

legendt commented on 2017-02-13 15:36

开启桌面歌词需要安装 python-pyqt4 python-dbus,已确认